#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
import datetime
import warnings

import pendulum
import pytest
from sqlalchemy import exc as sa_exc

from workspaces.capability.schema import CapabilityExecution


def test_capability_execution_ordering():
    with warnings.catch_warnings():
        # suppress SQLAlchemy warnings
        warnings.simplefilter("ignore", category=sa_exc.SAWarning)

        """Ensure that capability executions can be ordered (because they are placed in a queue)"""
        cx1 = CapabilityExecution(created_at=pendulum.now())
        cx2 = CapabilityExecution(created_at=pendulum.now().add(seconds=1))
    assert cx1 < cx2
